import { type IEvent } from '../types';
interface IFormattedEventData {
    text: string;
    url?: string;
}
export interface FeatureEventFormatter {
    format: (event: IEvent) => IFormattedEventData;
}
export declare enum LinkStyle {
    SLACK = 0,
    MD = 1
}
export declare class FeatureEventFormatterMd implements FeatureEventFormatter {
    private readonly unleashUrl;
    private readonly linkStyle;
    constructor(unleashUrl: string, linkStyle?: LinkStyle);
    generateChangeRequestLink(event: IEvent): string | undefined;
    featureLink(event: IEvent): string | undefined;
    generateFeatureLink(event: IEvent): string | undefined;
    generateProjectLink(event: IEvent): string | undefined;
    getStrategyTitle(event: IEvent): string | undefined;
    generateFeatureStrategyChangeText(event: IEvent): string | undefined;
    private applicationHostnameStrategyChangeText;
    private remoteAddressStrategyChangeText;
    private userWithIdStrategyChangeText;
    private listOfValuesStrategyChangeText;
    private flexibleRolloutStrategyChangeText;
    private defaultStrategyChangeText;
    private constraintChangeText;
    private segmentsChangeText;
    format(event: IEvent): {
        text: string;
        url?: string;
    };
}
export {};
//# sourceMappingURL=feature-event-formatter-md.d.ts.map