"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAddons = void 0;
const webhook_1 = __importDefault(require("./webhook"));
const slack_1 = __importDefault(require("./slack"));
const teams_1 = __importDefault(require("./teams"));
const datadog_1 = __importDefault(require("./datadog"));
const slack_app_1 = __importDefault(require("./slack-app"));
const getAddons = ({ getLogger, unleashUrl, flagResolver }) => {
    const addons = [
        new webhook_1.default({ getLogger }),
        new slack_1.default({ getLogger, unleashUrl }),
        new slack_app_1.default({ getLogger, unleashUrl }),
        new teams_1.default({ getLogger, unleashUrl }),
        new datadog_1.default({ getLogger, unleashUrl }),
    ];
    return addons.reduce((map, addon) => {
        // eslint-disable-next-line no-param-reassign
        map[addon.name] = addon;
        return map;
    }, {});
};
exports.getAddons = getAddons;
//# sourceMappingURL=index.js.map