"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createFakeEventsService = exports.createEventsService = void 0;
const fake_event_store_1 = __importDefault(require("../../../test/fixtures/fake-event-store"));
const fake_feature_tag_store_1 = __importDefault(require("../../../test/fixtures/fake-feature-tag-store"));
const event_store_1 = __importDefault(require("./event-store"));
const feature_tag_store_1 = __importDefault(require("../../db/feature-tag-store"));
const services_1 = require("../../services");
const createEventsService = (db, config) => {
    const eventStore = new event_store_1.default(db, config.getLogger);
    const featureTagStore = new feature_tag_store_1.default(db, config.eventBus, config.getLogger);
    return new services_1.EventService({ eventStore, featureTagStore }, config);
};
exports.createEventsService = createEventsService;
const createFakeEventsService = (config) => {
    const eventStore = new fake_event_store_1.default();
    const featureTagStore = new fake_feature_tag_store_1.default();
    return new services_1.EventService({ eventStore, featureTagStore }, config);
};
exports.createFakeEventsService = createFakeEventsService;
//# sourceMappingURL=createEventsService.js.map