/// <reference types="node" />
import type EventEmitter from 'events';
import type { LogProvider } from '../../logger';
import type { IFeatureOverview, IFeatureSearchOverview, IFeatureSearchStore } from '../../types';
import type { Db } from '../../db/db';
import type { IFeatureSearchParams, IQueryParam } from '../feature-toggle/types/feature-toggle-strategies-store-type';
declare class FeatureSearchStore implements IFeatureSearchStore {
    private db;
    private logger;
    private readonly timer;
    constructor(db: Db, eventBus: EventEmitter, getLogger: LogProvider);
    private static getEnvironment;
    searchFeatures({ userId, searchParams, type, status, offset, limit, sortOrder, sortBy, favoritesFirst, }: IFeatureSearchParams, queryParams: IQueryParam[]): Promise<{
        features: IFeatureOverview[];
        total: number;
    }>;
    private buildRankingSql;
    getAggregatedSearchData(rows: any): IFeatureSearchOverview[];
    private addTag;
    private rowToTag;
    private isTagRow;
    private isNewTag;
}
export default FeatureSearchStore;
//# sourceMappingURL=feature-search-store.d.ts.map