import type { Request, Response } from 'express';
import type { IUnleashConfig } from '../../types/option';
import type { IUnleashServices } from '../../types';
import Controller from '../../routes/controller';
import type { IAuthRequest } from '../../routes/unleash-types';
import { type FeaturesSchema } from '../../openapi/spec/features-schema';
import type { TransactionCreator, UnleashTransaction } from '../../db/transaction';
export default class ArchiveController extends Controller {
    private featureService;
    private transactionalFeatureToggleService;
    private readonly startTransaction;
    private openApiService;
    constructor(config: IUnleashConfig, { transactionalFeatureToggleService, featureToggleServiceV2, openApiService, }: Pick<IUnleashServices, 'transactionalFeatureToggleService' | 'featureToggleServiceV2' | 'openApiService'>, startTransaction: TransactionCreator<UnleashTransaction>);
    getArchivedFeatures(req: IAuthRequest, res: Response<FeaturesSchema>): Promise<void>;
    getArchivedFeaturesByProjectId(req: Request<{
        projectId: string;
    }, any, any, any>, res: Response<FeaturesSchema>): Promise<void>;
    deleteFeature(req: IAuthRequest<{
        featureName: string;
    }>, res: Response<void>): Promise<void>;
    reviveFeature(req: IAuthRequest<{
        featureName: string;
    }>, res: Response<void>): Promise<void>;
}
//# sourceMappingURL=archive-feature-toggle-controller.d.ts.map