import type { PartialDeep, IFeatureToggleClient, IStrategyConfig, IFeatureToggleQuery, ITag, IFlagResolver, IFeatureToggleListItem } from '../../../types';
import type { FeatureConfigurationClient } from '../types/feature-toggle-strategies-store-type';
export declare class FeatureToggleRowConverter {
    private flagResolver;
    constructor(flagResolver: IFlagResolver);
    isUnseenStrategyRow: (feature: PartialDeep<IFeatureToggleClient>, row: Record<string, any>) => boolean;
    isNewTag: (feature: PartialDeep<IFeatureToggleClient>, row: Record<string, any>) => boolean;
    addSegmentToStrategy: (feature: PartialDeep<IFeatureToggleClient>, row: Record<string, any>) => void;
    addSegmentIdsToStrategy: (feature: PartialDeep<IFeatureToggleClient>, row: Record<string, any>) => void;
    addLastSeenByEnvironment: (feature: PartialDeep<IFeatureToggleListItem>, row: Record<string, any>) => void;
    rowToStrategy: (row: Record<string, any>) => IStrategyConfig;
    addTag: (feature: Record<string, any>, row: Record<string, any>) => void;
    rowToTag: (row: Record<string, any>) => ITag;
    formatToggles: (result: IFeatureToggleQuery) => any[];
    createBaseFeature: (row: any, feature: PartialDeep<IFeatureToggleClient>, featureQuery?: IFeatureToggleQuery) => {
        name?: string;
        description?: string;
        type?: string;
        project?: string;
        stale?: boolean;
        variants?: {
            name?: string;
            weight?: number;
            weightType?: "variable" | "fix";
            payload?: {
                type?: "string" | "number" | "json" | "csv";
                value?: string;
            };
            stickiness?: string;
            overrides?: {
                contextName?: string;
                values?: string[];
            }[];
        }[];
        enabled?: boolean;
        strategies?: {
            title?: string;
            id?: string;
            name?: string;
            parameters?: {
                [x: string]: string;
            };
            featureName?: string;
            constraints?: {
                contextName?: string;
                operator?: "NOT_IN" | "IN" | "STR_ENDS_WITH" | "STR_STARTS_WITH" | "STR_CONTAINS" | "NUM_EQ" | "NUM_GT" | "NUM_GTE" | "NUM_LT" | "NUM_LTE" | "DATE_AFTER" | "DATE_BEFORE" | "SEMVER_EQ" | "SEMVER_GT" | "SEMVER_LT";
                values?: string[];
                value?: string;
                inverted?: boolean;
                caseInsensitive?: boolean;
            }[];
            segments?: number[];
            variants?: {
                name?: string;
                stickiness?: string;
                weight?: number;
                payload?: {
                    type?: "string" | "number" | "json" | "csv";
                    value?: string;
                };
                weightType?: "variable" | "fix";
            }[];
            sortOrder?: number;
        }[];
        dependencies?: {
            feature?: string;
            variants?: string[];
            enabled?: boolean;
        }[];
        impressionData?: boolean;
        lastSeenAt?: {
            toString?: {};
            toDateString?: {};
            toTimeString?: {};
            toLocaleString?: {};
            toLocaleDateString?: {};
            toLocaleTimeString?: {};
            valueOf?: {};
            getTime?: {};
            getFullYear?: {};
            getUTCFullYear?: {};
            getMonth?: {};
            getUTCMonth?: {};
            getDate?: {};
            getUTCDate?: {};
            getDay?: {};
            getUTCDay?: {};
            getHours?: {};
            getUTCHours?: {};
            getMinutes?: {};
            getUTCMinutes?: {};
            getSeconds?: {};
            getUTCSeconds?: {};
            getMilliseconds?: {};
            getUTCMilliseconds?: {};
            getTimezoneOffset?: {};
            setTime?: {};
            setMilliseconds?: {};
            setUTCMilliseconds?: {};
            setSeconds?: {};
            setUTCSeconds?: {};
            setMinutes?: {};
            setUTCMinutes?: {};
            setHours?: {};
            setUTCHours?: {};
            setDate?: {};
            setUTCDate?: {};
            setMonth?: {};
            setUTCMonth?: {};
            setFullYear?: {};
            setUTCFullYear?: {};
            toUTCString?: {};
            toISOString?: {};
            toJSON?: {};
            [Symbol.toPrimitive]?: {};
        };
        createdAt?: {
            toString?: {};
            toDateString?: {};
            toTimeString?: {};
            toLocaleString?: {};
            toLocaleDateString?: {};
            toLocaleTimeString?: {};
            valueOf?: {};
            getTime?: {};
            getFullYear?: {};
            getUTCFullYear?: {};
            getMonth?: {};
            getUTCMonth?: {};
            getDate?: {};
            getUTCDate?: {};
            getDay?: {};
            getUTCDay?: {};
            getHours?: {};
            getUTCHours?: {};
            getMinutes?: {};
            getUTCMinutes?: {};
            getSeconds?: {};
            getUTCSeconds?: {};
            getMilliseconds?: {};
            getUTCMilliseconds?: {};
            getTimezoneOffset?: {};
            setTime?: {};
            setMilliseconds?: {};
            setUTCMilliseconds?: {};
            setSeconds?: {};
            setUTCSeconds?: {};
            setMinutes?: {};
            setUTCMinutes?: {};
            setHours?: {};
            setUTCHours?: {};
            setDate?: {};
            setUTCDate?: {};
            setMonth?: {};
            setUTCMonth?: {};
            setFullYear?: {};
            setUTCFullYear?: {};
            toUTCString?: {};
            toISOString?: {};
            toJSON?: {};
            [Symbol.toPrimitive]?: {};
        };
        tags?: {
            value?: string;
            type?: string;
        }[];
        favorite?: boolean;
    };
    buildFeatureToggleListFromRows: (rows: any[], featureQuery?: IFeatureToggleQuery, includeDisabledStrategies?: boolean) => IFeatureToggleListItem[];
    buildPlaygroundFeaturesFromRows: (rows: any[], featureQuery?: IFeatureToggleQuery) => FeatureConfigurationClient[];
    buildArchivedFeatureToggleListFromRows: (rows: any[]) => IFeatureToggleListItem[];
}
//# sourceMappingURL=feature-toggle-row-converter.d.ts.map