"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.featureLifecycleSchema = void 0;
exports.featureLifecycleSchema = {
    $id: '#/components/schemas/featureLifecycleSchema',
    type: 'array',
    description: 'A list of lifecycle stages for a given feature',
    items: {
        additionalProperties: false,
        type: 'object',
        required: ['stage', 'enteredStageAt'],
        properties: {
            stage: {
                type: 'string',
                enum: ['initial', 'pre-live', 'live', 'completed', 'archived'],
                example: 'initial',
                description: 'The name of the lifecycle stage that got recorded for a given feature',
            },
            enteredStageAt: {
                type: 'string',
                format: 'date-time',
                example: '2023-01-28T16:21:39.975Z',
                description: 'The date when the feature entered a given stage',
            },
        },
        description: 'The lifecycle stage of the feature',
    },
    components: {
        schemas: {},
    },
};
//# sourceMappingURL=feature-lifecycle-schema.js.map