import type { FromSchema } from 'json-schema-to-ts';
export declare const resourceLimitsSchema: {
    readonly $id: "#/components/schemas/resourceLimitsSchema";
    readonly type: "object";
    readonly description: "A map of resource names and their limits.";
    readonly required: readonly ["segmentValues", "strategySegments", "actionSetActions", "actionSetsPerProject", "actionSetFilters", "actionSetFilterValues", "signalEndpoints", "signalTokensPerEndpoint"];
    readonly additionalProperties: false;
    readonly properties: {
        readonly segmentValues: {
            readonly type: "integer";
            readonly example: 10;
            readonly description: "The maximum number of values per segment allowed.";
        };
        readonly strategySegments: {
            readonly type: "integer";
            readonly example: 10;
            readonly description: "The maximum number of strategy segments allowed.";
        };
        readonly actionSetActions: {
            readonly type: "integer";
            readonly example: 10;
            readonly description: "The maximum number of actions per action set allowed.";
        };
        readonly actionSetsPerProject: {
            readonly type: "integer";
            readonly example: 10;
            readonly description: "The maximum number of action set definitions per project allowed.";
        };
        readonly actionSetFilters: {
            readonly type: "integer";
            readonly example: 10;
            readonly description: "The maximum number of filters per action set allowed.";
        };
        readonly actionSetFilterValues: {
            readonly type: "integer";
            readonly example: 10;
            readonly description: "The maximum number of filter values inside an action set allowed.";
        };
        readonly signalEndpoints: {
            readonly type: "integer";
            readonly example: 10;
            readonly description: "The maximum number of signal endpoints allowed.";
        };
        readonly signalTokensPerEndpoint: {
            readonly type: "integer";
            readonly example: 10;
            readonly description: "The maximum number of signal tokens per endpoint allowed.";
        };
    };
    readonly components: {};
};
export type ResourceLimitsSchema = FromSchema<typeof resourceLimitsSchema>;
//# sourceMappingURL=resource-limits-schema.d.ts.map