import type { Response } from 'express';
import type { AuthedRequest } from '../../types/core';
import type { IUnleashServices } from '../../types/services';
import type { IUnleashConfig } from '../../types/option';
import Controller from '../controller';
import type { UiConfigSchema } from '../../openapi/spec/ui-config-schema';
import type { InstanceStatsSigned } from '../../features/instance-stats/instance-stats-service';
declare class InstanceAdminController extends Controller {
    private instanceStatsService;
    private openApiService;
    private jsonCsvParser;
    constructor(config: IUnleashConfig, { instanceStatsService, openApiService, }: Pick<IUnleashServices, 'instanceStatsService' | 'openApiService'>);
    instanceStatsExample(): InstanceStatsSigned;
    getStatistics(req: AuthedRequest, res: Response<InstanceStatsSigned>): Promise<void>;
    getStatisticsCSV(req: AuthedRequest, res: Response<UiConfigSchema>): Promise<void>;
}
export default InstanceAdminController;
//# sourceMappingURL=instance-admin.d.ts.map