import type { Response } from 'express';
import Controller from '../controller';
import type { IUnleashConfig, IUnleashServices } from '../../types';
import type { IAuthRequest, RequestBody } from '../unleash-types';
import { type ValidatedEdgeTokensSchema } from '../../openapi/spec/validated-edge-tokens-schema';
import type { BulkMetricsSchema } from '../../openapi/spec/bulk-metrics-schema';
import type { TokenStringListSchema } from '../../openapi';
export default class EdgeController extends Controller {
    private readonly logger;
    private edgeService;
    private openApiService;
    private metricsV2;
    private clientInstanceService;
    private flagResolver;
    constructor(config: IUnleashConfig, { edgeService, openApiService, clientMetricsServiceV2, clientInstanceService, }: Pick<IUnleashServices, 'edgeService' | 'openApiService' | 'clientMetricsServiceV2' | 'clientInstanceService'>);
    getValidTokens(req: RequestBody<TokenStringListSchema>, res: Response<ValidatedEdgeTokensSchema>): Promise<void>;
    bulkMetrics(req: IAuthRequest<void, void, BulkMetricsSchema>, res: Response<void>): Promise<void>;
}
//# sourceMappingURL=index.d.ts.map