import { type Variant } from 'unleash-client';
export type IFlagKey = 'accessLogs' | 'anonymiseEventLog' | 'encryptEmails' | 'enableLicense' | 'enableLicenseChecker' | 'embedProxy' | 'embedProxyFrontend' | 'responseTimeWithAppNameKillSwitch' | 'maintenanceMode' | 'messageBanner' | 'featuresExportImport' | 'caseInsensitiveInOperators' | 'strictSchemaValidation' | 'personalAccessTokensKillSwitch' | 'migrationLock' | 'demo' | 'googleAuthEnabled' | 'disableBulkToggle' | 'disableNotifications' | 'advancedPlayground' | 'filterInvalidClientMetrics' | 'disableMetrics' | 'stripHeadersOnAPI' | 'signals' | 'automatedActions' | 'celebrateUnleash' | 'featureSearchFeedback' | 'featureSearchFeedbackPosting' | 'edgeBulkMetrics' | 'extendedUsageMetrics' | 'adminTokenKillSwitch' | 'executiveDashboard' | 'executiveDashboardUI' | 'feedbackComments' | 'showInactiveUsers' | 'killScheduledChangeRequestCache' | 'collectTrafficDataUsage' | 'displayTrafficDataUsage' | 'useMemoizedActiveTokens' | 'queryMissingTokens' | 'checkEdgeValidTokensFromCache' | 'userAccessUIEnabled' | 'disableUpdateMaxRevisionId' | 'disablePublishUnannouncedEvents' | 'outdatedSdksBanner' | 'responseTimeMetricsFix' | 'scimApi' | 'displayEdgeBanner' | 'projectOverviewRefactor' | 'disableShowContextFieldSelectionValues' | 'projectOverviewRefactorFeedback' | 'featureLifecycle' | 'projectListFilterMyProjects' | 'projectsListNewCards' | 'parseProjectFromSession' | 'createProjectWithEnvironmentConfig' | 'newCreateProjectUI';
export type IFlags = Partial<{
    [key in IFlagKey]: boolean | Variant;
}>;
export declare const defaultExperimentalOptions: IExperimentalOptions;
export interface IExperimentalOptions {
    flags: IFlags;
    externalResolver: IExternalFlagResolver;
}
export interface IFlagContext {
    [key: string]: string;
}
export interface IFlagResolver {
    getAll: (context?: IFlagContext) => IFlags;
    isEnabled: (expName: IFlagKey, context?: IFlagContext) => boolean;
    getVariant: (expName: IFlagKey, context?: IFlagContext) => Variant;
}
export interface IExternalFlagResolver {
    isEnabled: (flagName: IFlagKey, context?: IFlagContext) => boolean;
    getVariant: (flagName: IFlagKey, context?: IFlagContext) => Variant;
}
//# sourceMappingURL=experimental.d.ts.map